Updates default GHG settings with multi-factor support for new meters
Use this endpoint to modify which GHG scopes and factors are assigned by default to new meters.
Supports multiple factors per commodity. Only commodities included in the request are updated;
unmentioned commodities retain current settings. Set ScopeCategoryId and DefaultFactor to null
to remove a commodity’s default. “UseMeterAddress” factor type is only allowed for electric.
Requires GHG Administrator Manage or Application Settings Manage permission.
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type, including the request body. |
Request Body
GHGasDefaultSettingRequestV202502
| Property | Description | Type | |||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| createEmissionSourcesForMeters | Do we want to an create emission source automatically when we create a new meter? Required (defined) | boolean | |||||||||||||||||||||||||||||||||
| defaultSettings | The Commodity default settings Required | GHGasDefaultSettingRequestCommodityChildV202502[] | |||||||||||||||||||||||||||||||||
|
GHGasDefaultSettingRequestCommodityChildV202502 properties
|
|||||||||||||||||||||||||||||||||||
Example Request Body
{ "createEmissionSourcesForMeters": false, "defaultSettings": [
{ "commodityId": 1, "defaultSettings": [
{ "defaultFactor": {}, "scopeCategoryId": 1
}
]
}
]
}
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
GHGasDefaultSettingResponseV202502
| Property | Description | Type | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| createEmissionSourcesForMeters | Do we want to an create emission source automatically when we create a new meter? | boolean | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| defaultSettings | The default commodity settings | GHGasDefaultSettingResponseCommodityChildV202502[] | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
GHGasDefaultSettingResponseCommodityChildV202502 properties
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Example Response
{ "createEmissionSourcesForMeters": false, "defaultSettings": [
{ "commodityCode": "string", "commodityIcon": { "code": "string", "color": "string"
}, "commodityId": 1, "commodityInfo": "string", "defaultSettings": [
{ "defaultFactor": {}, "defaultScopeCategory": {}
}
], "inUseByVendor": false
}
]
}